<?php

class Mellat
{

    var $client;
    var $namespace;
    var $terminalId;
    var $userName;
    var $userPassword;

    function __construct($client, $tId, $uN, $uP)
    {
        $this->client = $client;
        $this->namespace = 'http://interfaces.core.sw.bps.com/';
        $this->terminalId = $tId;
        $this->userName = $uN;
        $this->userPassword = $uP;
    }

    function Pay($Amount, $redirect,$orderid,$data)
    {
        $parameters = array(
            'terminalId' => $this->terminalId,
            'userName' => $this->userName,
            'userPassword' => $this->userPassword,
            'orderId' => $orderid,
            'amount' => $Amount,
            'localDate' => date("Ymd"),
            'localTime' => date("His"),
            'additionalData' => $data,
            'callBackUrl' => $redirect,
            'payerId' => "0");
        $result = $this->client->call('bpPayRequest', $parameters, $this->namespace);

        if ($this->client->fault)
            return FALSE;
        $resultStr = $result;
        $err = $this->client->getError();
        if ($err)
            return FALSE;
        $res = explode(',', $resultStr);
        settype($res[0], "string");
        settype($res[1], "string");
        $ResCode = $res[0];
        $Hashcode = $res[1];
        if ($ResCode == '0')
            return $Hashcode;
        else
            return FALSE;
    }

    function Verify($refId, $saleCode, $trnsID)
    {
        $parameters = array(
            'terminalId' => $this->terminalId,
            'userName' => $this->userName,
            'userPassword' => $this->userPassword,
            'orderId' => $saleCode,
            'saleOrderId' => $saleCode,
            'saleReferenceId' => $trnsID);

        $result = $this->client->call('bpVerifyRequest', $parameters, $this->namespace);

        if ($this->client->fault)
            return FALSE;
        $resultStr = $result;
        $err = $this->client->getError();
        if ($err)
            return FALSE;
        if ($resultStr == '0')
            return TRUE;
        else
            return FALSE;
    }

    function Settle($refId, $saleCode, $trnsID)
    {
        $parameters = array(
            'terminalId' => $this->terminalId,
            'userName' => $this->userName,
            'userPassword' => $this->userPassword,
            'orderId' => $saleCode,
            'saleOrderId' => $saleCode,
            'saleReferenceId' => $trnsID);

        $result = $this->client->call('bpSettleRequest', $parameters, $this->namespace);

        if ($this->client->fault)
            return FALSE;
        $resultStr = $result;
        $err = $this->client->getError();
        if ($err)
            return FALSE;
        if ($resultStr == '0')
            return TRUE;
        else
            return FALSE;
    }

}

?>